from processing.tools import *

dictLayersClip = {}

for layer in dictLayers.keys():
    general.runalg("qgis:clip",\
                        dictLayers[layer],\
                        areaOfInterest,\
                        mainLayerFolder + '\\LayersClip\\'+layer+'_Clip.shp')
    dictLayersClip[layer+'_Clip'] = iface.addVectorLayer(mainLayerFolder + '\\LayersClip\\'+layer+'_Clip.shp',layer+'_Clip',"ogr")